Bug 1906483 - Etcd container leaves grep and lsof zombie processes
Summary: Etcd container leaves grep and lsof zombie processes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.5.z
Assignee: Dan Mace
QA Contact: ge liu
URL:
Whiteboard:
Depends On: 1903353
Blocks: 1906484
TreeView+ depends on / blocked
 
Reported: 2020-12-10 16:01 UTC by OpenShift BugZilla Robot
Modified: 2021-01-20 05:49 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-20 05:49:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 510 0 None closed [release-4.5] Bug 1906483: Use socket readiness probe to avoid generating zombies 2021-01-18 14:06:48 UTC
Red Hat Product Errata RHBA-2021:0033 0 None None None 2021-01-20 05:49:54 UTC

Comment 3 ge liu 2021-01-11 04:36:49 UTC
Verified with 4.5.0-0.nightly-2021-01-09-113611

 Readiness:  tcp-socket :2380 delay=3s timeout=5s period=5s #success=1 #failure=3

Comment 6 errata-xmlrpc 2021-01-20 05:49:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.27 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0033


Note You need to log in before you can comment on or make changes to this bug.